<?php
namespace Teknisa\PLA\Controllers;

use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DataSource\DataSet;

class ImagemAlergenico extends \Teknisa\GER\Controllers\TeknisaCrud {
	
	protected $servicoService;
	protected $crudService;
	protected $dataSourceManager;
	protected $util;
	protected $dtprocessa;
	protected $dataSourceName;
	protected $dataSourceNameToSave = false;
	protected $parameterBagColumns = array();
	protected $novoCodigo;
	protected $connection;
	protected $imgPathURL;

	public function __construct($crudService, $parameterBag , $dataSourceManager, $util, $novoCodigo, $connection, $imgPathURL) {
		parent::__construct($crudService, $parameterBag);
		$this->crudService = $crudService;
		$this->dataSourceManager = $dataSourceManager;
		$this->util = $util;
		$this->novoCodigo = $novoCodigo;
		$this->connection = $connection;
		$this->imgPathURL = $imgPathURL;
	}
	
	public function campoImagemGrid(DTO\Request $request, DTO\Response $response) {
		$conditions = [];
		$imagemAlergenico = $this->crudService->getFilteredDataSet("imagemalergenico", $conditions)->getRows();


		foreach ($imagemAlergenico as &$row) {
			if ($row["DSIMAGEM"] !== null) {
				$row["DSIMAGEM"] = $this->imgPathURL.$row["DSIMAGEM"];
			}
		}

		$response->addDataSet(new DataSet ('campoImagemGrid', array($imagemAlergenico)));
		
	}
	
	public function saveImgAlergenico(DTO\Request $request, DTO\Response $response) {
		$row = $request->getRow();
		if (isset($row["IMAGE_UPLOAD"]) && isset($row["IMAGE_UPLOAD"]["0"]) 
		&& isset($row["IMAGE_UPLOAD"]["0"]["path"]) && $row["IMAGE_UPLOAD"]["0"]["path"] !== null) {
			$row["DSIMAGEM"] = $row["IMAGE_UPLOAD"]["0"]["path"];
		} else if(isset($row["FGFOTOFILE"]) && $row["FGFOTOFILE"] !== null) {
			$row["DSIMAGEM"] = $row["FGFOTOFILE"];
		}

	    $response->addDataSet(new DataSet ('imagemalergenico', array($row)));
	    
	}

	
}